This folder contains the sensitivity to beam displacement data collected while optimising the separation between the camera sensor and the back of the collimating lens

## Equipment
The lens-to-camera separation was finely adjusted by measuring the sensitivity to beam displacement while shimming. The shims were 3D printed with a thickness of 0.2 mm (OpenSCAD\picamera_shim.scad), this was the same as the layer thickness used to fabricate the autocollimator. A corner cube (ThorLabs PS975-A) mounted onto a translation stage (ThorLabs PT3/M) was used as the target reflector to generate horizontal beam displacement about the centre of the collimating lens

## Method
At each lens-to-camera separation, the peak spot position was measured with the reflected beam at opposite edges of the collimating lens. Each measurement consisted of multiple measurements taken over a 10 second period, and the average was recorded in the 'Camera_alignment_08062021.xlsx' spreadsheet. While keeping the direction of beam displacement the same, the lens-to-camera separation was increased until the direction of spot displacement on the camera was reversed. The initial separation was found by pointing the camera at a neighbouring building through a window. For this coarse adjustment, the lens-to-camera separation was adjusted using thicker shims until a sharp image was captured